Skip to main content
POST
/
action
/
openclaw_get_details
OpenClaw Get Details
curl --request POST \
  --url https://api-lr.agent.ai/v1/action/openclaw_get_details \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "output_variable_name": "openclaw"
}
'
{
  "status": 123,
  "response": {}
}

Authorizations

Authorization
string
header
required

Bearer token from your account (https://agent.ai/user/integrations#api)

Body

application/json
output_variable_name
string
default:openclaw
required

Variable name for the result. Use {{openclaw.instance_ip}} and {{openclaw.auth_token}} in subsequent OpenClaw actions.

Pattern: ^[a-zA-Z][a-zA-Z0-9_]*$

Response

Successful response

status
integer<int32>

HTTP status code of the action response

response
object

Response data from the action